Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class RepeatUntilActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
              org.apache.ode.bpel.compiler.bom.Activity
                  org.apache.ode.bpel.compiler.bom.RepeatUntilActivity

All Implemented Interfaces:
  SourceLocation

    public class RepeatUntilActivity

extends Activity

Representation of the `repeatUntil` BPEL 2.0 activity.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`RepeatUntilActivity(org.w3c.dom.Element el)`

Method Summary
`Activity` | `getActivity()` Get the child (repeated) activity.
`Expression` | `getCondition()` Get the repeat-until condition.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatUntilActivity

    public RepeatUntilActivity(org.w3c.dom.Element el)

Method Detail

### getActivity

    public Activity getActivity()

  Get the child (repeated) activity.

  Returns:
    repeated activity

### getCondition

    public Expression getCondition()

  Get the repeat-until condition.

  Returns:
    the repeat-until condition

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD